import { _WidgetBaseConstructor } from "./_WidgetBase";
import TitlePane = require("./TitlePane");

/**
	 * An accessible fieldset that can be expanded or collapsed via
	 * its legend.  Fieldset extends `dijit.TitlePane`.
	 */
interface Fieldset extends TitlePane {
    open: boolean;
}

type FieldsetConstructor = _WidgetBaseConstructor<Fieldset>;
declare const Fieldset: FieldsetConstructor;
export = Fieldset;
