interface Debounce {
    /**
     * Create a function that will only execute after `wait` milliseconds
     */
    <T extends Function>(cb: T, wait: number): T;
    <T extends Function>(cb: Function, wait: number, ...args: any[]): T;
}

declare const debounce: Debounce;
export = debounce;